* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

.scroller {
    width: 100%;
    background-color: #000;
}

.scroller__inner {
    padding-block: 0.2rem;
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
}

.scroller[data-animated="true"] {
    overflow: hidden;
    -webkit-mask: linear-gradient(90deg,
            black,
            black 20%,
            black 80%,
            black);
    mask: linear-gradient(90deg, black, black 20%, black 80%, black);
}

.scroller[data-animated="true"] .scroller__inner {
    width: -webkit-max-content;
    width: -moz-max-content;
    width: max-content;
    flex-wrap: nowrap;
    -webkit-animation: scroll var(--_animation-duration, 40s) var(--_animation-direction, forwards) linear infinite;
    animation: scroll var(--_animation-duration, 40s) var(--_animation-direction, forwards) linear infinite;
}

.scroller[data-animated="true"] .scroller__inner:hover {
    -webkit-animation-play-state: paused;
    animation-play-state: paused;
}

.scroller[data-direction="right"] {
    --_animation-direction: reverse;
}

.scroller[data-direction="left"] {
    --_animation-direction: forwards;
}

.scroller[data-speed="fast"] {
    --_animation-duration: 20s;
}

.scroller[data-speed="slow"] {
    --_animation-duration: 60s;
}

@-webkit-keyframes scroll {
    to {
        transform: translate(calc(-50% - 0.5rem));
    }
}

@keyframes scroll {
    to {
        transform: translate(calc(-50% - 0.5rem));
    }
}

.tag-list {
    margin: 0;
    padding-inline: 0;
    list-style: none;
}

.tag-list li {
    padding: 1rem;
    text-transform: uppercase;
    font-size: 600;
    font-size: 1.5em;
    color: darkgoldenrod;
}

header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 80px 100px;
    z-index: 1000;
}

header .logo {
    max-width: 120px;
}

header .toggle {
    max-width: 60px;
    cursor: pointer;
    filter: invert(52%) sepia(52%) saturate(2171%) hue-rotate(18deg) brightness(92%) contrast(91%);
}

header .logo img {
    max-width: 100%;
    border-radius: 50%;
}

header .logo img:hover {
    transform: scale(0.9);
    transition: 0.3s linear;
}

header .toggle img {
    max-width: 100%;
}

.banner {
    position: relative;
    width: 100%;
    min-height: 100vh;
    padding: 0 100px;
    background: url(assets/bg3.jpg);
    background-position: center;
    background-size: cover;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.banner .content {
    margin-top: 150px;
    max-width: 550px;
    margin-bottom: 50px;
}

.banner .content h2 {
    text-transform: uppercase;
    font-weight: 400;
    font-size: 2.5em;
    letter-spacing: 0.1em;
    color: #fff;
}

.banner .content h2 span {
    font-weight: 800;
    color: darkgoldenrod;
}

.banner .content p {
    font-size: 1.2em;
    font-weight: 300;
    letter-spacing: 0.02em;
    line-height: 1.5em;
    color: #fff;
    margin: 15px 0 30px;
}

.banner .content p span {
    font-weight: 500;
    color: darkgoldenrod;
}

.play {
    position: relative;
    display: inline-flex;
    justify-content: flex-start;
    align-items: center;
    color: darkgoldenrod;
    text-transform: uppercase;
    font-weight: 800;
    text-decoration: none;
    letter-spacing: 2px;
    font-size: 1.2em;
}

.play img {
    margin-right: 10px;
    max-width: 50px;
    filter: invert(52%) sepia(52%) saturate(2171%) hue-rotate(18deg) brightness(92%) contrast(91%);
}

.sci {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.sci li {
    list-style: none;
}

.sci li a {
    text-decoration: none;
}

.sci li a img {
    filter: invert(1);
    transform: scale(0.6);
    filter: invert(52%) sepia(52%) saturate(2171%) hue-rotate(18deg) brightness(92%) contrast(91%);
}

.slide {
    position: absolute;
    bottom: 50px;
    left: calc(50% - 250px /2);
    width: 250px;
    height: 150px;
    background: url(assets/joker.png);
    background-size: cover;
    cursor: pointer;
    animation: animate 25s linear infinite;
}

@keyframes animate {

    0%,
    100% {
        background-position: top;
    }

    45%,
    55% {
        background-position: bottom;
    }
}

.trailer {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10000;
    background: rgba(0, 0, 0, 0.95);
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    visibility: hidden;
    opacity: 0;
}

.trailer.active {
    visibility: visible;
    opacity: 1;
}

.trailer video {
    max-width: 900px;
    outline: none;
}

.trailer .close {
    position: absolute;
    top: 30px;
    right: 30px;
    cursor: pointer;
    filter: invert(1);
    max-width: 32px;
}

footer {
    position: relative;
    bottom: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 30px 100px;
    background-color: #000;
}

footer span {
    color: #fff;
    font-size: 1em;
    letter-spacing: 0.02em;
    line-height: 1.2em;
    text-transform: capitalize;
    text-align: center;
}

footer span a {
    text-decoration: none;
    color: darkgoldenrod;
    text-decoration: underline;
}

@media (max-width: 991px) {
    header {
        padding: 70px 30px;
    }

    header .logo {
        max-width: 80px;
    }

    header .toggle {
        max-width: 40px;
    }

    .banner {
        padding: 50px 30px;
    }

    .banner .content {
        margin-top: 50px;
    }

    .banner .content h2 {
        font-size: 2em;
        letter-spacing: 0.05em;
    }

    .banner .content p {
        font-size: 1em;
    }

    .slide {
        position: relative;
        bottom: initial;
        left: 0;
        margin: 20px 0;
    }

    .sci {
        top: initial;
        right: initial;
        transform: translateY(0%);
        flex-direction: row;
    }

    .sci li {
        margin: 20px 5px;
    }

    .trailer video {
        max-width: 90%;
    }

    .tag-list li {
        font-size: 1.2em;
    }
}

@media (min-width: 1900px) {
    header {
        padding: 100px 150px;
    }

    header .logo {
        max-width: 220px;
    }

    header .toggle {
        max-width: 100px;
    }

    .banner {
        padding: 100px 150px;
    }

    .banner .content {
        margin-top: 200px;
        max-width: 1050px;
    }

    .banner .content h2 {
        font-size: 5.5em;
    }

    .banner .content p {
        font-size: 2.1em;
        margin: 15px 0 35px;
    }

    .play {
        letter-spacing: 2px;
        font-size: 2.5em;
    }

    .play img {
        margin-right: 30px;
        max-width: 100px;
    }

    .sci li {
        margin: 30px 10px;
    }

    .sci li a img {
        transform: scale(1.5);
    }

    .trailer video {
        max-width: 1800px;
    }

    .scroller__inner {
        padding-block: 0.5rem;
    }

    .tag-list li {
        font-size: 2em;
    }
    
    footer span {
        font-size: 1.6em;
    }

}